## ros-noetic-visp-bridge 0.13.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.0)
project(visp_bridge)

find_package(Boost REQUIRED COMPONENTS filesystem program_options)

find_package(catkin REQUIRED COMPONENTS
  camera_calibration_parsers
  geometry_msgs
  roscpp
  sensor_msgs
  std_msgs
)

# ViSP cannot be found by Catkin.
# see https://github.com/ros/catkin/issues/606
find_package(VISP REQUIRED)

catkin_package(
  INCLUDE_DIRS
    include

  LIBRARIES
    ${PROJECT_NAME}

  CATKIN_DEPENDS
    camera_calibration_parsers
    geometry_msgs
    roscpp
    sensor_msgs
    std_msgs

  DEPENDS
    Boost
    VISP
)

include_directories(include)

include_directories(SYSTEM
  ${VISP_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

# Make sure Boost.Filesystem v3 is used.
add_definitions(-DBOOST_FILESYSTEM_VERSION=3)

## Declare a cpp library
add_library(${PROJECT_NAME}
  include/${PROJECT_NAME}/3dpose.h
  include/${PROJECT_NAME}/camera.h
  include/${PROJECT_NAME}/image.h
  include/${PROJECT_NAME}/vpQuaternionVector.h
  src/compat/vpQuaternionVector.cpp
  src/conversions/3dpose.cpp
  src/conversions/camera.cpp
  src/conversions/image.cpp
)
target_link_libraries(${PROJECT_NAME} ${VISP_LIBRARIES})

add_executable(${PROJECT_NAME}_convert_camera_parameters src/conversions/convert_cam_param_file.cpp)
target_link_libraries(${PROJECT_NAME}_convert_camera_parameters ${VISP_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${PROJECT_NAME})

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_convert_camera_parameters 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-noetic-visp-bridge (0.13.1-1focal) focal; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Feb 2022 23:00:00 -0000

ros-noetic-visp-bridge (0.13.0-1focal) focal; urgency=high



 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 15 Feb 2022 23:00:00 -0000

ros-noetic-visp-bridge (0.12.1-1focal) focal; urgency=high

  * CMake fixes
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 21 Apr 2021 22:00:00 -0000

ros-noetic-visp-bridge (0.12.0-1focal) focal; urgency=high

  * Fix warnings detected by catkin_lint
  * Fix warning detected during packaging
  * Update README with Noetic support
  * Use python3 on neotic
  * Fix compat with Ubuntu 20.04
  * Moves tracker_ref_frame from extern to param (#97)
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 20 Apr 2021 22:00:00 -0000

ros-noetic-visp-bridge (0.11.0-1focal) focal; urgency=high

  * Update with Melodic
  * Fix memory leak
  * Introduce vpMbGenericTracker and visp3 headers in visp_auto_tracker
  * Introduce visp3 headers
  * Code indentation
  * Introduce vpMbGenericTracker
  * Introduce vpHandEyeCalibration class
  * Fix build for melodic (Closes #88)
  * Fix compilation on 17.04 by adding missing boost/format.hpp inclusion
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 26 May 2019 22:00:00 -0000

ros-noetic-visp-bridge (0.10.0-1focal) focal; urgency=high

  * Fix catkin_lint warnings level 2
  * kinetic-0.9.3
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 09 Feb 2017 23:00:00 -0000

ros-noetic-visp-bridge (0.9.3-1focal) focal; urgency=high

  * kinetic-0.9.2
  * Cleanify code
  * jade-0.9.1
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Thu, 19 May 2016 22:00:00 -0000

ros-noetic-visp-bridge (0.9.1-1focal) focal; urgency=high

  * Revert build_depend visp removal that is mandatory.
  * jade-0.9.0
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 20 Dec 2015 23:00:00 -0000

ros-noetic-visp-bridge (0.9.0-1focal) focal; urgency=high

  * Fix catkin_lint error and issues
  * Changed input to conversion functions to const
  * jade-0.8.0
  * Prepare changelogs
  * Contributors: Fabien Spindler, Riccardo Spica

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sat, 19 Dec 2015 23:00:00 -0000

ros-noetic-visp-bridge (0.8.0-1focal) focal; urgency=high

  * Remove catkin_lint issues and warnings
  * Fix doc url location
  * Revert previous commit that breaks compat
  * Update and fix content of README files
  * Revised with comments from fspindle
  * Changed the way boost is linked
  * Renamed conversion tool
  * Mark camera parameter converter for installation
  * minor changes
  * Support for distortion camera parameter model
  * Delete existing output file
  * tool for converting visp camera parameter files to/from ros camera  parameter files
  * 0.7.3
  * Prepare changelogs
  * Prepare changelogs
  * Contributors: Fabien Spindler, Riccardo Spica

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 31 Mar 2015 22:00:00 -0000

ros-noetic-visp-bridge (0.7.3-1focal) focal; urgency=high

  * indigo-0.7.2
  * Prepare changelogs
  * Contributors: Fabien Spindler

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Wed, 09 Apr 2014 22:00:00 -0000

ros-noetic-visp-bridge (0.7.2-1focal) focal; urgency=high

  * Fix various dependency issues in the CMakeLists.txt and package.xml files
  * Add missing dependency to ViSP
  * Fix errors detected with catkin_lint
  * Contributors: Fabien Spindler, Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Sun, 06 Apr 2014 22:00:00 -0000

ros-noetic-visp-bridge (0.7.0-1focal) focal; urgency=high

  * Merge visp_bridge as our subdirectory
  * Contributors: Thomas Moulard

 -- Fabien Spindler <Fabien.Spindler@inria.fr>  Tue, 11 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-visp-bridge
Section: misc
Priority: optional
Maintainer: Fabien Spindler <Fabien.Spindler@inria.fr>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-camera-calibration-parsers, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-visp
Homepage: http://wiki.ros.org/visp_bridge
Standards-Version: 3.9.2

Package: ros-noetic-visp-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-camera-calibration-parsers, ros-noetic-geometry-msgs, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-visp
Description: Converts between ROS structures and ViSP structures.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-visp-bridge//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
